Master Wallet Get One
curl --request GET \
--url https://api.blockradar.co/v1/wallets/{id}/virtual-accounts/{vId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v1/wallets/{id}/virtual-accounts/{vId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v1/wallets/{id}/virtual-accounts/{vId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"accountName": "yaxep42303 elafans",
"accountNumber": "9017390479",
"address": null,
"bankCode": "076",
"bankName": "Polaris Bank",
"createdAt": "2026-01-21T23:53:49.202Z",
"currency": "NGN",
"customer": {
"createdAt": "2026-01-21T23:53:49.202Z",
"email": "[email protected]",
"id": "28e8d1ed-24ac-4119-afe4-60b2186116d8",
"name": "yaxep42303 elafans",
"network": "mainnet",
"phone": "+2348037892458",
"status": "ACTIVE",
"updatedAt": "2026-01-21T23:53:49.202Z"
},
"id": "c04004c3-ec8c-4b61-bcdc-870fe64ef1e3",
"isActive": true,
"label": null,
"reference": "174",
"status": "ACTIVE",
"type": "AUTO_FUNDING",
"updatedAt": "2026-01-21T23:53:49.202Z",
"wallet": {
"address": "0xD8582C57E56Ef45f9fe82870aDF63d9baB89e1F7",
"configurations": null,
"createdAt": "2024-05-27T15:33:42.377Z",
"derivationPath": "m/44'/60'/0'/0/11",
"description": "This is Base wallet",
"id": "35e964a6-436a-424f-bf3a-618cc060feea",
"isActive": true,
"name": "Base Wallet",
"network": "mainnet",
"status": "ACTIVE",
"updatedAt": "2024-05-27T15:33:42.377Z"
}
},
"message": "Virtual account retrieved successfully",
"statusCode": 200
}Master Wallet Get One
Master Wallet Get One
GET
/
v1
/
wallets
/
{id}
/
virtual-accounts
/
{vId}
Master Wallet Get One
Authorizations
Path Parameters
Example:
"YOUR_WALLET_ID"
Example:
"VIRTUAL_ACCOUNT_ID"
⌘I

